Bug 445685 - Barely visible icons in GTK folder dialog when using dark color scheme
Summary: Barely visible icons in GTK folder dialog when using dark color scheme
Status: RESOLVED UPSTREAM
Alias: None
Product: Breeze
Classification: Plasma
Component: gtk theme (show other bugs)
Version: 5.23.3
Platform: Other Linux
: HI normal
Target Milestone: ---
Assignee: Jan Blackquill
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-18 11:00 UTC by Nishith Khanna
Modified: 2022-06-21 16:09 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
GTK dialog (46.71 KB, image/png)
2021-11-18 11:00 UTC, Nishith Khanna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nishith Khanna 2021-11-18 11:00:32 UTC
Created attachment 143686 [details]
GTK dialog

When adding a folder in VS code file chooser dialog pops up or when uploading an attachment for this bug report via firefox browser. The icons in that dialog are barely visible. I am attaching the screenshot regarding the same. 

System Info:
Operating System: Arch Linux
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2
Kernel Version: 5.15.2-arch1-1 (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-6200U CPU @ 2.30GHz
Memory: 11.6 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 520
Comment 1 D. Debnath 2021-12-02 14:26:12 UTC
Can confirm this bug.
Comment 2 Nate Graham 2022-04-27 04:17:14 UTC
Can also confirm.
Comment 3 Artem Grinev 2022-06-19 13:22:02 UTC
Adwaita also doesn't handle them correctly but Breeze-Dark icons work fine. So it seems it's just a lack of recoloring symbolic icons mechanism in FileChooser's TreeView component. I'm not sure if it's themeable so I don't know if it can be fixed from our side...
Comment 4 Nate Graham 2022-06-21 16:09:14 UTC
Sounds like no. Can you file a bug report upstream in GTK and link it here?